Subject: Re: linux-next: timers tree build failure

From: Takashi Iwai <[email-masked]>
Date: Wed, 31 Dec 2008 11:43:09 +0100

At Mon, 29 Dec 2008 10:31:25 +0100,
Ingo Molnar wrote:
> 
> 
> * Stephen Rothwell <[email-masked]> wrote:
> 
> > Hi all,
> > 
> > Today's linux-next build (x86_64 allmodconfig) failed like this:
> > 
> > sound/core/hrtimer.c: In function 'snd_hrtimer_open':
> > sound/core/hrtimer.c:60: error: 'struct hrtimer' has no member named 'cb_mode'
> > sound/core/hrtimer.c:60: error: 'HRTIMER_CB_IRQSAFE_UNLOCKED' undeclared (first use in this function)
> > 
> > See below ... the sound tree changes are now in Linus' tree, so this
> > needs fixing before the timers tree gets merged.
> > 
> > I have applied the merge fix below (which is also in the sound tree) to 
> > the timers tree for today.
> 
> yes, trivial oneliner conflict, i pushed out a new auto-timers-next tree.

Sorry for late jump-in, as I'm just back from vacation.

The for-next branch of sound.git already includes the fix patch (based
on tip/timers/hrtimers), so I wonder why a conflict occurred...  Is it
a conflict fix or is your hrtimers branch rebased?

thanks,

Takashi